FreeMat

- Main Page
- Related Pages

vtkXMLUnstructuredGridReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLUnstructuredGridReader reads the VTK XML UnstructuredGrid file format. One unstructured grid file can be read to produce one output. Streaming is supported. The standard extension for this reader's file format is "vtu". This reader is also used to read a single piece of the parallel file format.

To create an instance of class vtkXMLUnstructuredGridReader, simply invoke its constructor as follows

      obj = vtkXMLUnstructuredGridReader

# Methods

The class vtkXMLUnstructuredGridReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLUnstructuredGridReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLUnstructuredGridReader = obj.NewInstance ()`
- `vtkXMLUnstructuredGridReader = obj.SafeDownCast (vtkObject o)`
- `vtkUnstructuredGrid = obj.GetOutput ()` - Get the reader's output.
- `vtkUnstructuredGrid = obj.GetOutput (int idx)` - Get the reader's output.